Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.saml
Class NameID

    java.lang.Object
      org.openxri.saml.NameID

    public class NameID

extends java.lang.Object

This class provides encapsulation of a SAML 2.0 NameID element type

Author:
  =chetan

Constructor Summary
`NameID(org.w3c.dom.Element oElem)` This method populates the object from DOM.
`NameID(java.lang.String sTag)` Constructs an empty SAML NameID object.

Method Summary
`java.lang.String` | `dump()` Returns object as a formatted XML string.
`void` | `fromDOM(org.w3c.dom.Element oElem)` This method populates the object from DOM.
`java.lang.String` | `getNameQualifier()` Returns the nameQualifier attribute
`java.lang.String` | `getValue()` Returns the text value
`void` | `reset()` Resets the internal state of this object
`void` | `setNameQualifier(java.lang.String sVal)` Sets the nameQualifier attribute
`void` | `setValue(java.lang.String sVal)` Sets the text value
`org.w3c.dom.Element` | `toDOM(org.w3c.dom.Document oDoc)` This method will make DOM using the specified document.
`java.lang.String` | `toString()` Returns formatted object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameID

    public NameID(org.w3c.dom.Element oElem)

  This method populates the object from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

### NameID

    public NameID(java.lang.String sTag)

  Constructs an empty SAML NameID object.

  Parameters:
    `sTag` - - The tag name for the element during serialization

Method Detail

### reset

    public void reset()

  Resets the internal state of this object

### fromDOM

    public void fromDOM(org.w3c.dom.Element oElem)

  This method populates the object from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

### setNameQualifier

    public void setNameQualifier(java.lang.String sVal)

  Sets the nameQualifier attribute

### getNameQualifier

    public java.lang.String getNameQualifier()

  Returns the nameQualifier attribute

### setValue

    public void setValue(java.lang.String sVal)

  Sets the text value

### getValue

    public java.lang.String getValue()

  Returns the text value

### toDOM

    public org.w3c.dom.Element toDOM(org.w3c.dom.Document oDoc)

  This method will make DOM using the specified document. If any DOM state has been stored with the object, it will not be used in this method. This method generates a reference-free copy of new DOM.

  Parameters:
    `oDoc` - - The document to use for generating DOM

### toString

    public java.lang.String toString()

  Returns formatted object. Do not use if signature needs to be preserved.

  Overrides:
    `toString` in class `java.lang.Object`

### dump

    public java.lang.String dump()

  Returns object as a formatted XML string.

  Parameters:
    `sTab` - - The characters to prepend before each new line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.